Project

General

Profile

Bug #2089

Problem with docs source code with Java 1.5

Added by Dan Higgins about 14 years ago. Updated over 13 years ago.

Status:
Resolved
Priority:
Normal
Category:
build system
Target version:
Start date:
05/24/2005
Due date:
% Done:

0%

Estimated time:
Bugzilla-Id:
2089

Description

Documentation source code under the 'src/docs' subdirectory will not compile
under Java 1.5 (It does work under 1.4). This documentation code is under
development and removal does not affect other parts of the source.

History

#1 Updated by Matt Jones over 13 years ago

Need to remove the taglet dependencies fromthe tree as we decided not to use
this functionality and instead but the categorization in the moml. This will
allow javadocs to build under 1.4.x again.

#2 Updated by Christopher Brooks over 13 years ago

I'm not sure what's up, but it looks like kepler fails to compile
under Java 1.4.1_01 for me under linux:
compile-dev:
[javac] Compiling 796 source files to /tmp/cxh/kepler/build/classes
[javac] /tmp/cxh/kepler/build/src/doc/doclets/ActorClassWriter.java:80:
cannot resolve symbol
[javac] symbol : constructor ClassWriter
(com.sun.tools.doclets.standard.ConfigurationStandard,java.lang.String,java.l\
ang.String,com.sun.javadoc.ClassDoc,com.sun.javadoc.ClassDoc,com.sun.javadoc.ClassDoc,com.sun.tools.doclets.ClassTree)
[javac] location: class com.sun.tools.doclets.standard.ClassWriter
[javac] super(configuration, path, filename, classdoc, prev, next,
classtree);
[javac] ^
[javac] /tmp/cxh/kepler/build/src/doc/doclets/ActorClassWriter.java:133:
cannot resolve symbol
[javac] symbol : variable metakeywords
[javac] location: class com.sun.tools.doclets.standard.ConfigurationStandard
[javac] configuration.metakeywords.getMetaKeywords(classdoc));
[javac] ^
[javac] /tmp/cxh/kepler/build/src/doc/taglets/DescriptionTaglet.java:159:
cannot resolve symbol
[javac] symbol : method holder ()
[javac] location: interface com.sun.javadoc.Tag
[javac] if(! (tags0.holder() instanceof FieldDoc)) {
[javac] ^
[javac] Note: Some input files use or override a deprecated API.
[javac] Note: Recompile with -deprecation for details.
[javac] 3 errors

BUILD FAILED
/tmp/cxh/kepler/build.xml:489: Compile failed; see the compiler error output for
details.

Total time: 20 seconds
cxh@fortytwo 50% java -version
java version "1.4.1_01"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.1_01-b01)
Java HotSpot(TM) Client VM (build 1.4.1_01-b01, mixed mode)

This is with a fresh tree.
Kepler compiles fine under Java 1.4.2_04 under Windows.

Perhaps this code only works under Java 1.4.2 and not 1.4.1?
I know there was some traffic about Java 1.5 as well on the mailing list,
I believe Kepler will compile under 1.5.

#3 Updated by Chad Berkley over 13 years ago

We are no longer using this code. It is obsolete. Instead we are using the
doclet that christopher is developing.

#4 Updated by Redmine Admin over 6 years ago

Original Bugzilla ID was 2089

Also available in: Atom PDF